<%
if(typeof item === 'undefined') item = {name: "", organization: "", location: ""};
%>

<div class="container" style="padding: 1em;">
    <div class="input-group bg-secondary" style="margin-top: 0.5em; margin-bottom: 0.5em">
        <input type="text" class="form-control text-white bg-secondary" id="search" placeholder="Keress">

    </div>
    <script>
        function hasChildContaining(parent, text) {
            const children = parent.childNodes;
            for (let i = 0; i < children.length; i++) {
                if (typeof children[i].innerText !== "undefined" && children[i].innerText.indexOf(text) !== -1)
                    return true;
            }
            return false;
        }

        const s = document.getElementById("search");
        function search() {
            const searchStr = s.value;
            const rows = document.getElementsByClassName("searchTarget");
            for (let r of rows) {
                if (hasChildContaining(r, searchStr)) {
                    r.style.display = "";
                } else {
                    r.style.display = "none";
                }
            }
        }
        s.onkeyup = search;
    </script>
</div>